- [HTTP request](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.request_body)
  - [JSON representation](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.response_body)
  - [JSON representation](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.SearchSearchAds360StreamResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#body.aspect)

Returns all rows that match the search stream query.

List of thrown errors: [AuthenticationError]() [AuthorizationError]() [ChangeEventError]() [ChangeStatusError]() [ClickViewError]() [HeaderError]() [InternalError]() [QueryError]() [QuotaError]() [RequestError]()

### HTTP request

`POST https://searchads360.googleapis.com/v0/customers/{customerId}/searchAds360:searchStream`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The ID of the customer being queried. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": string, "batchSize": integer, "summaryRowSetting": enum (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SummaryRowSetting`) } ``` |

| Fields ||
|---|---|
| `query` | `string` Required. The query string. |
| `batchSize` | `integer` The number of rows that are returned in each stream response batch. When too large batch is requested, the server may decide to further limit the number of returned rows. |
| `summaryRowSetting` | ``enum (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SummaryRowSetting`)`` Determines whether a summary row will be returned. By default, summary row is not returned. If requested, the summary row will be sent in a response by itself after all other query results are returned. |

### Response body

Response message for `https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.searchAds360/searchStream#google.ads.searchads360.v0.services.SearchAds360Service.SearchStream`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "results": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SearchAds360Row`) } ], "fieldMask": string, "summaryRow": { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SearchAds360Row`) }, "customColumnHeaders": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/CustomColumnHeader`) } ], "conversionCustomMetricHeaders": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/ConversionCustomMetricHeader`) } ], "conversionCustomDimensionHeaders": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/ConversionCustomDimensionHeader`) } ], "rawEventConversionMetricHeaders": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/RawEventConversionMetricHeader`) } ], "rawEventConversionDimensionHeaders": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/RawEventConversionDimensionHeader`) } ], "requestId": string } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SearchAds360Row`)`` The list of rows that matched the query. |
| `fieldMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` FieldMask that represents what fields were requested by the user. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `summaryRow` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/SearchAds360Row`)`` Summary row that contains summary of metrics in results. Summary of metrics means aggregation of metrics across all results, here aggregation could be sum, average, rate, etc. |
| `customColumnHeaders[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/CustomColumnHeader`)`` The headers of the custom columns in the results. |
| `conversionCustomMetricHeaders[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/ConversionCustomMetricHeader`)`` The headers of the conversion custom metrics in the results. |
| `conversionCustomDimensionHeaders[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/ConversionCustomDimensionHeader`)`` The headers of the conversion custom dimension in the results. |
| `rawEventConversionMetricHeaders[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/RawEventConversionMetricHeader`)`` The headers of the raw event conversion metrics in the results. |
| `rawEventConversionDimensionHeaders[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/RawEventConversionDimensionHeader`)`` The headers of the raw event conversion dimensions in the results. |
| `requestId` | `string` The unique id of the request that is used for debugging purposes. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclicksearch`